
D4Science Infrastructure - Task #12183

Please add nagios check to monitor the correct functioning of social networking service 

Jul 18, 2018 12:50 PM - Massimiliano Assante

Status: Closed Start date: Jul 18, 2018

Priority: High Due date: Jul 20, 2018

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: D4Science Infrastructure upgrade to

gCube 4.12

  

Infrastructure: Production   

Description

Here's 2 REST Calls that should be performed every 10 minutes, each of the calls need a user token of one VRE of your choice:

Check the connection between the service and JCR

https://socialnetworking1.d4science.org/social-networking-library-ws/rest/2/messages/get-received-messages

Check the connection between the service and Cassandra

https://socialnetworking1.d4science.org/social-networking-library-ws/rest/2/posts/get-posts-vre

Related issues:

Related to D4Science Infrastructure - Incident #12182: Social Networking serv... Closed Jul 18, 2018

History

#1 - Jul 18, 2018 12:52 PM - Massimiliano Assante

- Related to Incident #12182: Social Networking service not working added

#2 - Jul 18, 2018 03:46 PM - Andrea Dell'Amico

Is it possible to have a machine token? we should not rely on personal tokens for the monitoring checks.

#5 - Jul 23, 2018 04:01 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#6 - Jul 23, 2018 04:23 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I also added the system checks, they were missing too.

#7 - Jul 23, 2018 04:37 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

They are working.
